Subject: Re: [PATCH v3 0/8] arm64/sve: First steps towards optimizing syscalls

From: Dave Martin <[email-masked]>
Date: Mon, 20 Jul 2020 11:44:40 +0100

On Wed, Jul 15, 2020 at 06:11:16PM +0100, Mark Brown wrote:
> On Wed, Jul 15, 2020 at 05:49:34PM +0100, Dave Martin wrote:
> 
> > I wonder whether we ought to accompany this with a crude mechanism to
> > choose dynamically between setting TIF_SVE_NEEDS_FLUSH and keeping the
> > old behaviour.
> 
> > My concern with doing this unconditionally has been that we can end up
> > with TIF_SVE permanently stuck on, which increases the per-task overhead.
> > This is not a worry if the user task really does use SVE once per
> > context switch, but not so good if, say, the libc startup probes for
> > SVE to initialise some internal logic but the task otherwise doesn't
> > use it.  (This is just a worry: I haven't looked for evidence to support
> > it.)
> 
> Yes, it's a concern.  My thought was to follow this up with something
> which copies what some of the other architectures are doing for FP
> registers and go back to the existing behaviour after a certain number
> of syscalls.  That has a bunch of room for debate and bikeshedding about
> what exactly an appropriate number might be of course.

Ack, that sounds like a fair approach.

Of course, we could try to implement some kind of clever backoff but
it's probably not worth it for now.

Cheers
---Dave

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel